summaryrefslogtreecommitdiffstats
path: root/satellit_installer/static_files
diff options
context:
space:
mode:
authorChristian Rößler2017-07-31 19:04:50 +0200
committerChristian Rößler2017-07-31 19:04:50 +0200
commitd7b4527c491401cd5a6b0fb65fed60cd1b064a51 (patch)
treec13833f8afdc83f096b22e5750445babc67d86d4 /satellit_installer/static_files
parent[SSUS] Confirm update; patch post_max_size; delete dummy coursebackend (diff)
downloadsetup-scripts-d7b4527c491401cd5a6b0fb65fed60cd1b064a51.tar.gz
setup-scripts-d7b4527c491401cd5a6b0fb65fed60cd1b064a51.tar.xz
setup-scripts-d7b4527c491401cd5a6b0fb65fed60cd1b064a51.zip
[SSPS] For Debian 9, ipxe patch changed etc.
Diffstat (limited to 'satellit_installer/static_files')
-rw-r--r--satellit_installer/static_files/ipxe.patch7
-rw-r--r--satellit_installer/static_files/rclocal_script.sh22
2 files changed, 22 insertions, 7 deletions
diff --git a/satellit_installer/static_files/ipxe.patch b/satellit_installer/static_files/ipxe.patch
index 87ff25a..56c01ae 100644
--- a/satellit_installer/static_files/ipxe.patch
+++ b/satellit_installer/static_files/ipxe.patch
@@ -28,7 +28,7 @@ diff --git a/src/config/general.h b/src/config/general.h
index ee15f6b..da39a1a 100644
--- a/src/config/general.h
+++ b/src/config/general.h
-@@ -63,11 +63,11 @@ FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );
+@@ -65,11 +65,11 @@ FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );
*
*/
@@ -58,13 +58,14 @@ index ee15f6b..da39a1a 100644
/*
* Name resolution modules
-@@ -119,15 +119,15 @@ FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );
+@@ -124,16 +124,16 @@ FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );
#define NVO_CMD /* Non-volatile option storage commands */
#define CONFIG_CMD /* Option configuration console */
#define IFMGMT_CMD /* Interface management commands */
-#define IWMGMT_CMD /* Wireless interface management commands */
--#define FCMGMT_CMD /* Fibre Channel management commands */
+#undef IWMGMT_CMD /* Wireless interface management commands */
+ #define IBMGMT_CMD /* Infiniband management commands */
+-#define FCMGMT_CMD /* Fibre Channel management commands */
+#undef FCMGMT_CMD /* Fibre Channel management commands */
#define ROUTE_CMD /* Routing table management commands */
#define IMAGE_CMD /* Image management commands */
diff --git a/satellit_installer/static_files/rclocal_script.sh b/satellit_installer/static_files/rclocal_script.sh
index bfb11a6..381b56a 100644
--- a/satellit_installer/static_files/rclocal_script.sh
+++ b/satellit_installer/static_files/rclocal_script.sh
@@ -4,6 +4,18 @@ MY_PID=$$
perror() {
echo "$@" >> /root/init.log
[ "$MY_PID" != "$$" ] && kill "$MY_PID"
+
+ if ! grep -q "rclocal_script.sh has thrown an error" /etc/motd; then
+ cat <<-EOF >> /etc/motd
+
+ WARNING!
+
+ rclocal_script.sh has thrown an error!
+ Please read /root/init.log and take appropriate measures!
+ This server may not work correctly!
+
+ EOF
+ fi
exit 5
}
@@ -57,8 +69,13 @@ echo "SET PASSWORD FOR 'sat'@'localhost' = PASSWORD('$MYSQL_SAT_NEW');" | mysql
MYSQL_OPENSLX_NEW=$(generate_password)
echo "SET PASSWORD FOR 'openslx'@'localhost' = PASSWORD('$MYSQL_OPENSLX_NEW');" | mysql -u root -p"${MYSQL_ROOT_NEW}" || perror "Neusetzen des openslx-MySQL-Passworts fehlgeschlagen."
+# Debian 9 (stretch) does not seem to have a debian-sys-maint user anymore.
MYSQL_SYSMAINT_NEW=$(generate_password)
-echo "SET PASSWORD FOR 'debian-sys-maint'@'localhost' = PASSWORD('$MYSQL_SYSMAINT_NEW');" | mysql -u root -p"${MYSQL_ROOT_NEW}" || perror "Neusetzen des debian-sys-maint-Passworts fehlgeschlagen."
+if grep -q debian-sys-maint /etc/mysql/debian.cnf; then
+ echo "SET PASSWORD FOR 'debian-sys-maint'@'localhost' = PASSWORD('$MYSQL_SYSMAINT_NEW');" | mysql -u root -p"${MYSQL_ROOT_NEW}" || perror "Neusetzen des debian-sys-maint-Passworts fehlgeschlagen."
+ # Patching debian-sys-maint password into /etc/mysql/debian.cnf:
+ patchfiles 'password *=.*$' "password = $MYSQL_SYSMAINT_NEW" "/etc/mysql/debian.cnf"
+fi
# Store mysql root pass in root's home
echo "$MYSQL_ROOT_NEW" > /root/mysqlpass
@@ -74,9 +91,6 @@ patchfiles "%MYSQL_SAT_PASS%" "$MYSQL_SAT_NEW" "$DMSDDIR
# Patching openslx-mysql-userpass into slx-admin config:
patchfiles "%MYSQL_OPENSLX_PASS%" "$MYSQL_OPENSLX_NEW" "$WWWDIR/slx-admin/config.php"
-# Patching debian-sys-maint password into /etc/mysql/debian.cnf:
-patchfiles 'password *=.*$' "password = $MYSQL_SYSMAINT_NEW" "/etc/mysql/debian.cnf"
-
echo " ok." >> /root/init.log
echo "Dienste werden aktiviert..." >> /root/init.log